##Description:

Shared Travel Map is an app that allows travelers to share their past and aspired trips with
friends and facilitate planning new trips. Travelers can pin previous and aspired travel destinations
on a map, to create a view of their travel history and goals. Once created, travelers can connect
with their friends to get a view of their friend's travel as well. Travelers can
then create a shared view that allows them to see common destinations and
plan for a future trip. Once planning begins, a shared destination can be created
for the new trip and planning can begin!

##Features and Acceptance Criteria:

#####Create travel map with custom destinations

- Add destinations by city
- Add/delete past destinations
- Add/delete aspired destinations
- Add home destination

#####Create profile

- Create username
- Create password

#####Login to profile

- Enter username
- Enter password
- Authenticate profile

#####Connect with friends

- Find friends
- Add friends
- View friends

#####View friend's travel map

- View friends' past destinations
- View friends' aspired destinations
- View friends' home destination

#####View shared travel map with 1 friend

- Overlay friends travel map
- View all destinations
- View all friends' destinations
- View an indicator of overlapping destinations

#####Comment on composite travel maps

- Add/delete comment on shared map

#####Create shared experience destinations

- Create a shared experience destination
- Shared experience destinations have a name
- Shared experience destinations can be current, or future state
- Shared experience destinations move to past state once marked complete

#####Invite friends to shared experience destinations

- Invite friends to shared experience destinations
- Friends can accept invitation to join shared experience destination
- Shared experience destinations have special indicator that included friends can see
- Shared experience destinations appear as normal past/aspired destinations to those
that are not included

#####Comment on shared experience destinations

- Add/delete comment on shared experience destinations

##Dependencies:

- Google Maps API

##Technology:

- Front end framework (Tbd)
- JavaScript based front end UI
- spring.io
- Java based Server
- MySQL database management system
- SQL based database

##Additional Features:

- Destination specific content
- Interactions with multiple friends maps
- Ability to rank/vote desinations
- Integration with flights web application
- Create budgets for aspired travel destinations
